Get File
GET
/api/v3/organizations/{organisation}/ai/files/{fileId}
const url = 'https://dashboard.quantcdn.io/api/v3/organizations/example/ai/files/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://dashboard.quantcdn.io/api/v3/organizations/example/ai/files/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Authorization: Bearer <token>'Retrieves file metadata and a presigned download URL (valid for 1 hour).
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”organisation
required
string
The organisation ID
fileId
required
string format: uuid
The file ID
Responses
Section titled “Responses”File metadata and download URL
Media typeapplication/json
object
fileId
string format: uuid
s3Uri
string
url
Presigned download URL (1 hour)
string format: uri
filename
string
contentType
string
size
integer
metadata
object
createdAt
string format: date-time
Examplegenerated
{ "fileId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "s3Uri": "example", "url": "https://example.com", "filename": "example", "contentType": "example", "size": 1, "metadata": {}, "createdAt": "2026-04-15T12:00:00Z"}Access denied
File not found
Failed to get file
